%define version   0.9.8
%define cvsdate   20031106.132747
%define release   2.cvs

Summary:       The Advanced Linux Sound Architecture (ALSA) utilities %{?cvsdate: (CVS: %{cvsdate})}
Name:          alsa-utils
Version:       %version
Release:       %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Copyright:     GPL
Group:         System/Libraries
Source:        ftp://ftp.alsa-project.org/pub/utils/alsa-utils-%{cvsdate}.tar.bz2
Patch0:        alsa-utils-cvscompile.patch
Patch1:        alsa-utils-0.9.8-alsaconf.patch
URL:           http://www.alsa-project.org
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      alsa-lib >= %{version}
BuildRequires: alsa-lib-devel >= %{version}
Distribution:  Planet CCRMA

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes utilities for systems using ALSA.

%if "%{cvsdate}" != "0"
This package is based on the experimental CVS version of alsa
downloaded on %{cvsdate}. Handle with care. 
%endif

%prep
%setup -q -n alsa-utils-%{version}
%if "%{cvsdate}" != "0"
%patch0 -p1
%endif
%patch1 -p1

%build

if [ -x "./cvscompile" ] ; then
    CVSCOMPILE_NO_MAKE=1 CVSCOMPILE_NO_CONFIGURE=1 ./cvscompile
fi
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} 
mkdir -p $RPM_BUILD_ROOT%{_sbindir} 
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog COPYING INSTALL README
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog

* Fri Nov 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-2.cvs
- add alsaconf patch for Fedora Core 1
* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-2.cvs
- cvs: 11/06/2003
* Tue Oct 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.8-1.cvs
- cvs: 10/28/2003
* Tue Sep 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.7-1.cvs
- cvs: 09/30/2003
* Mon Sep  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-2.cvs
- cvs: 08/25/2003
* Sat Aug  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/09/2003
* Wed Aug  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1.cvs
- cvs: 08/06/2003, version 0.9.6
- added target to release tag
* Sun Jun  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.4-1.cvs
- cvs: 06/01/2003
* Wed Apr  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-5.cvs
- cvs: 03/09/2003
* Thu Mar 27 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-4.cvs
- cvs: 03/27/2003
* Mon Mar 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-3.cvs
- cvs: 03/24/2003
* Fri Mar 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2.cvs
- cvs: 03/21/2003
* Tue Mar 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1.cvs
- cvs: 0.9.1, 03/10/2003
* Tue Feb 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-45
- cvs: 02/18/2003
* Mon Feb 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.2
- cvs: 02/17/2003
* Thu Feb  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44.1
- cvs: 02/07/2003
* Mon Jan 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/21/2003
* Fri Jan 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-44
- cvs: 01/17/2003
- added description from freshrpms.org source rpm
* Mon Dec 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43.2
- cvs: 12/30/2002
* Wed Dec 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-43
- cvs: 12/11/2002
* Sun Dec  8 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-42
- cvs: 12/08/2002
* Fri Dec  6 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-42
- cvs: 12/06/2002
* Thu Nov 18 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-41
- cvs: 11/18/2002
* Thu Oct 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-40
- cvs: 10/28/2002
* Tue Oct 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-39
- cvs: 10/15/2002
* Fri Aug 30 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-38
- cvs: 08/30/2002
* Tue Aug 20 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-37
- cvs: 08/20/2002
* Sun Jul 28 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-36
- cvs: 08/04/2002
* Fri Jul  5 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-33
- cvs: 07/05/2002
* Fri May 31 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-31.1
- cvs: 05/31/2002
- added cvs warning on summary and description
* Wed May 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-30
- cvs: 05/15/2002
* Fri Apr 19 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-29
- cvs: 04/19/2002
* Fri Jan 25 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-26
- cvs: 01/25/2002
* Wed Jan  3 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-25
- cvs: 01/03/2002
* Wed Dec  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-23
- cvs: 12/05/2001 (post beta10)
* Mon Nov 26 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-22
- cvs: 11/26/2001 (post beta9)
* Sat Nov 24 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-21
- cvs: 11/24/2001 (post beta9)
* Fri Nov 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-20
- cvs: 11/23/2001 (post beta9)
* Tue Nov 21 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-19
- cvs: 11/21/2001 (post beta9)
* Tue Oct  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-18
- cvs: 10/02/2001
* Mon Sep 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-17
- cvs: 9/17/2001
- fixed man pages location
- only need to depend on alsa-lib (alsa-lib depends on the rest)
* Fri Aug 31 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-16
- cvs: 8/31/2001
* Thu Aug 30 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-15
- cvs: 8/30/2001
* Wed Aug 22 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-14
- cvs: 8/22/2001
* Mon Aug 13 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-13
- cvs: 8/13/2001
* Wed Aug  8 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-12
- cvs: 8/08/2001
* Fri Jul 20 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-10
- cvs: 7/20/2001
* Tue Jul 18 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-9
- cvs: 7/18/2001
* Tue Jul 17 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-8
- cvs update 7/17/2001
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-7
- cvs update 7/05/2001
- added BuildRequires
* Mon Jul  2 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-6
- cvs update 7/02/2001
* Mon Jun 25 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-3
- 0.9 beta4 for 2.4.5-2
- cvs for 2.4.5-2
* Mon Jun 11 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.9beta4 for 2.4.5-1
* Thu Apr  5 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.9beta3 for 2.4.2-7
* Fri Dec  8 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 0.5.10, added buildroot and prefix support
* Tue Aug 18 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- recompiled for 0.5.9b and 2.2.16-21.7.1
* Wed Aug  2 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added check for proper alsa-driver and alsa-lib version
* Tue Jul 11 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- went back to 0.5.7 'cause of midi
* Wed Jun 14 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- recompiled for 2.2.16-1
* Mon Jun  5 2000 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- support for 0.5.8
* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file

